getPanelAgentProjectInfo(params: GetPanelAgentProjectInfoParams)

Requires:
@tuya-miniapp/cloud-api≥1.0.6

Description

Query agent project information.

Parameters

ParameterTypeRequiredDescription
YesRequest body

Return Value

Type: Promise<GetPanelAgentProjectInfoResult>
GetPanelAgentProjectInfoResult (see type definitions and minituya return parameters for field meanings)

Referenced Types

typeGetPanelAgentProjectInfoResult
PropertyTypeDescription
projectCodestringAgent code
supportMultiRolebooleanWhether it is multi-role (multi-role or single-role)
llmSupportFuncTagListstring[]Multimodal capability tags returned in single-role mode

Examples

Request example

import { getPanelAgentProjectInfo } from '@tuya-miniapp/cloud-api';

const params = {
  devId: 'your_device_id',
};

getPanelAgentProjectInfo(params)
  .then(result => {
    console.log('Project info:', result);
  })
  .catch(error => {
    console.error('Failed to get project info:', error);
  });

Response example

{
  "projectCode": "agent_project_001",
  "supportMultiRole": true,
  "llmSupportFuncTagList": ["text", "image", "voice"]
}